Subject: Octave
From: [email-masked] (Adam Taylor)

13 Mar 1998 10:17:27 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Folks,

In an earlier post, I said that I had gotten octave to compile
successfully.  Unfortunately, I now discover that I cannot get the
octave fscanf function to do anything but report that EOF has been
reached.  I tried Mumit Khan's binary, and got one of these:

(c:\software\gnu\bin\octave-2.0.9.exe 1064) In cygwin_except_handler exc
C0000005 at 4FF3B3 sp 321E694
error: EMT instruction -- stopping myself...
attempting to save variables to `octave-core'...
save to `octave-core' complete

The code is:

dataFID = fopen("retzius-dcc-chopped.unix.txt","r");
data = fscanf(dataFID,"%f");

and retzius-dcc-chopped.unix.txt looks like this:

0 -51.5625  0.0732422
5e-4  -51.5137  0.0732422
0.001 -51.3672  0.0732422
0.0015  -51.5137  0.0683594
0.002 -51.5625  0.0683594
0.0025  -51.5625  0.0732422
0.003 -51.6602  0.078125
0.0035  -51.6113  0.0927734
0.004 -51.6602  0.0976563
0.0045  -51.6113  0.102539
0.005 -51.4648  0.0927734
0.0055  -51.6602  0.0927734
0.006 -51.5625  0.0976563
0.0065  -51.5625  0.0878906
0.007 -51.7578  0.0878906
0.0075  -51.7578  0.0830078
0.008 -51.8066  0.0732422
0.0085  -51.709 0.078125
0.009 -51.7578  0.0878906
0.0095  -51.8066  0.0927734

All of this is using b18 nt4 sp3.  Is this a well-known problem,
(octave's) fscanf not working?

Adam
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".